Page MenuHomePhabricator

Scale: support various help desk archiving systems
Closed, ResolvedPublic

Description

NOTE: we may not need to do this task at all if we decide to switch the help panel to asking mentor questions per T250235: Scale: pilot help panel with mentorship.


The help panel posts messages to the help desk. The help desk is archived, and this archiving is done differently from one wiki to another.

The Homepage developed by the Growth team allows newcomers to find back questions they've posted. As a consequence, the Growth team should be able to support various archiving systems.

List of most common existing archiving processes

  • Yearly/Monthly/Weekly/Daily sub pages Wikipedia:Help desk/2020-03
    • fr.wikt - monthly
    • ko.wp - monthly
  • Messages moved by bots after X days of inactivity to a subpage
    • pt.wp - 30 days
    • it.wp - 10 days
    • hu.wp - 14 days
  • Structured discussion-based help desks
    • ar.wp
    • fr.wp
    • eu.wp
    • pl.wp
    • fa.wp
    • id.wp
  • manual archiving:
  • Other case
    • zh.wp has a system of subpages, with heavy templates (based on {{Archive top}})
    • sv.wp: the page has never been archived since 2015

Notes:

  • pt.wp moves some messages to other places if they are out of scope. A backtrack link is left behind (similar to {{Moved discussion to}}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2020, 1:10 PM
Trizek-WMF triaged this task as High priority.Apr 2 2020, 5:08 PM

Check on the wikis we have deployed the features and the ones listed in the first group of T247507#5963592 what are their archiving system, both for Q11059110 and Q5621643.

MMiller_WMF renamed this task from Growth team to support various help desk archiving systems to Scale: support various help desk archiving systems.Apr 3 2020, 10:18 PM
MMiller_WMF updated the task description. (Show Details)Apr 15 2020, 12:51 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 15 2020, 8:47 PM
Trizek-WMF updated the task description. (Show Details)Apr 20 2020, 2:48 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 20 2020, 2:48 PM
Trizek-WMF closed this task as Resolved.Apr 20 2020, 2:49 PM

Even In the case we don't choose to go with T250235: Scale: pilot help panel with mentorship, I created the list. Honestly, we have too much cases to cover concerning Help desks.